<?php
error_reporting(0);
##################################################
######## Copyright by Gengit Khan 2015
DEFINE("san_copyright","Checked by Gengit Khan!");
##################################################
function xflush()
{
    static $output_handler = null;
    if ($output_handler === null)
    {
        $output_handler = @ini_get('output_handler');
    }
    if ($output_handler == 'ob_gzhandler')
    {
        return;
    }
    flush();
    if (function_exists('ob_flush') AND function_exists('ob_get_length') AND ob_get_length() !== false)
    {
        @ob_flush();
    }
    else if (function_exists('ob_end_flush') AND function_exists('ob_start') AND function_exists('ob_get_length') AND ob_get_length() !== FALSE)
    {
        @ob_end_flush();
        @ob_start();
    }
}
function ping($domain){
    $starttime = microtime(true);
    $file      = fsockopen ($domain, 80, $errno, $errstr, 10);
    $stoptime  = microtime(true);
    $status    = 0;
    if (!$file){
		$status = -1;  // Site is down
	}
    else {
        fclose($file);
        $status = ($stoptime - $starttime) * 1000;
        $status = floor($status);
    }
    return $status;
}
?>
<html>
<head>
<meta charset="UTF-8" />
<title>Ping tool by vad194</title>
<link rel="stylesheet" href="http://yui.yahooapis.com/pure/0.5.0/pure-min.css">
<link type="text/css" rel="stylesheet" href="//netdna.bootstrapcdn.com/bootstrap/3.0.3/css/bootstrap.min.css">
<script src="//netdna.bootstrapcdn.com/bootstrap/3.0.3/js/bootstrap.min.js"></script>
	<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.3.2/jquery.min.js"></script>
	<script src="jquery-linedtextarea.js"></script>
	<link href="jquery-linedtextarea.css" type="text/css" rel="stylesheet" />
</head>
<body>
<form class="pure-form" method="POST" action="">
    <fieldset><center>
        <legend>Ping tool</legend>
		<textarea name="listurl" id="listurl" placeholder="IP|USERNAME|PASSWORD|..." style="width:800px;height:250px;" required><?php if(isset($_POST['check'])){echo $_POST['listurl'];}?></textarea><br>
		+ Supported format IP: <b>IP...</b><br>
		+ Supported format PROXY: <b>IP:PORT...</b><br>
		+ Supported format SSH: <b>IP|USERNAME|PASSWORD|...</b><br>
        <br><button type="submit" name="check" class="pure-button pure-button-primary">Start Ping!</button>
		<br>
<?php
ob_start();  
set_time_limit(0); 
if (isset($_POST['listurl'])) {
		$list = trim($_POST['listurl']); 
		$list = str_replace(array("\\\"","\\'"),array("\"","'"),$list); 
		$list = str_replace("\r\r","\r",$list);
		$list = str_replace("\n\n","\n",$list); 
		$list = explode("\n",$list);
		$alist = count($list);
		echo "<h2>Connecting to <b style='color:green;'>$alist</b> ip</h2>";xflush();
		$STT=0;
		for ($i=0;$i<$alist;$i++) {
			// Check SSH
			$STT++;
			$linessh = str_replace(array("\r\n","\n","\r"),"",$list[$i]);
			// Get TYPE
			if (stristr($linessh,"|")) {
				$exp = explode("|",$linessh);explode("\r\n", $_POST['host']); 
				$ip = $exp[0];
			}
			// Start To Check
			$ms=ping($ip);
			if ($ms>300) {
				echo "<span class='label label-default'>$STT/$alist</span> <span class='label label-info'>$ip</span> <span class='label label-primary'>$ms ms</span> <span class='label label-warning'>Bad</span><br>";xflush();
				$listbad .= "$linessh\r\n";
			}elseif($ms==-1){
				echo "<span class='label label-default'>$STT/$alist</span> <span class='label label-info'>$ip</span> <span class='label label-danger'>Die</span><br>";xflush();
				$listdie .= "$linessh\r\n";
			}elseif($ms>1){
				echo "<span class='label label-default'>$STT/$alist</span> <span class='label label-info'>$ip</span> <span class='label label-primary'>$ms ms</span> <span class='label label-success'>Good</span><br>";xflush();
				$listgood .= "$linessh\r\n";
			}
			//echo $check;
		}
	if (isset($listgood)) {
		echo "<h2><b style='color:green;'>Good</b></h2>";
		echo "<textarea id='listgood' style='width:800px;height:250px;'>";
		echo $listgood;
		echo "</textarea>";
	}
	if (isset($listdie)) {
		echo "<h2><b style='color:red;'>Die</b></h2>";
		echo "<textarea id='listdie' style='width:800px;height:250px;'>";
		echo $listdie;
		echo "</textarea>";
	}
	if (isset($listbad)) {
		echo "<h2><b style='color:yellow;'>Bad</b></h2>";
		echo "<textarea id='listbad' style='width:800px;height:250px;'>";
		echo $listbad;
		echo "</textarea>";
	}
}
?>
	</center>
    </fieldset>
</form>
<script>
$(function() {
	$("#listurl").linedtextarea(
		
	);
	$("#listgood").linedtextarea(
		
	);
	$("#listdie").linedtextarea(
		
	);
	$("#listbad").linedtextarea(
		
	);
});
</script>
</body>
</html>